Subject: PC Pine/IMAP Gotcha!

From: John Stumbles <[email-masked]>
Date: Wed, 26 Jan 1994 09:31:49 GMT

I came a cropper on this one so I'll share it with the list - if there's 
a FAQ list maybe it should go in there?

Using PC-Pine with IMAP to access folders on a Unix host one has to set
folder-collections, documented in the comments in PINERC as follows (3.89):

# folder-collections specifies a list of folder collections wherein saved
# messages are stored. The first collection is the default for saves.
# Collection syntax: optnl-label {optnl-imap-hostname}optnl-directory-path[]
# Example:
# folder-collections=Saved-Email    {foo.bar.edu}mail/[],
#                    Widget-Project widget/[],  <-- Valid only in Unix Pine
#                    Local-PC       mail\[]     <-- Valid only in PC-Pine

Although with 20:20 hindsight it is obvious that the form:
	{imapserver}directory/[] 
applies, I set it as:
	{imapserver}directory\[] 
(because I was using PC-Pine) and this resulted in the mail folders on
my Unix filesystem being 
	~/mail\folder1
	~/mail\folder2 
	etc
rather than
	~/mail/folder1 
	etc
- i.e. with a backslash in each name. 

John Stumbles                                        [email-masked]
Reading University                                                  0734 318435
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+